---
version: "3.8"

services:
  app:
    image: nginx:1.31.3
    secrets:
      - test_pass_one
      - test_pass_two
      - test_pass_three
      - test_pass_four
      - test_pass_five
      - test_pass_six
      - test_pass_seven
      - test_pass_eight
      - test_pass_nine
      - test_pass_ten

secrets:
  test_pass_one:
    external: true
    name: ${STACK_NAME}_test_pass_one_${SECRET_TEST_PASS_ONE_VERSION}  # should be removed
  test_pass_two:
    external: true
    name: ${STACK_NAME}_test_pass_two_${SECRET_TEST_PASS_TWO_VERSION}
  test_pass_three:
    external: true
    name: ${STACK_NAME}_pass_three_${SECRET_TEST_PASS_THREE_VERSION} # secretId and name don't match
  test_pass_four:
    external: true
    name: ${STACK_NAME}_test_pass_four_${SECRET_TEST_PASS_FOUR_VERSION}
  test_pass_five:
    external: true
    name: ${STACK_NAME}_test_pass_five_${SECRET_TEST_PASS_FIVE_VERSION}
  test_pass_six:
    external: true
    name: ${STACK_NAME}_test_pass_six_${SECRET_TEST_PASS_SIX_VERSION}
  test_pass_seven:
    external: true
    name: ${STACK_NAME}_test_pass_seven_${SECRET_TEST_PASS_SEVEN_VERSION}
  test_pass_eight:
    external: true
    name: ${STACK_NAME}_test_pass_eight_${SECRET_TEST_PASS_EIGHT_VERSION}
  test_pass_nine:
    external: true
    name: ${STACK_NAME}_test_pass_nine_${SECRET_TEST_PASS_NINE_VERSION}
  test_pass_ten:
    external: true
    name: ${STACK_NAME}_test_pass_ten_${SECRET_TEST_PASS_TEN_VERSION}
